Data

Create data in collection

AuthBearer (JWT)
GroupData
Rate limitSee Rate Limits
POST/api/data/projects/{projectId}/collections/{collectionId}/data

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, DataApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const data = new DataApi(configuration);
import { Configuration, DataApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const data = new DataApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await data.createData(
  "proj_LZWZ9vzECKjB",
  "w7rksMuyUrwaPgkl",
  {
    email: "angela1@northwind.dev",
    firstName: "Patti",
    lastName: "Huel",
    role: "circuit index",
    status: "transmitter bypass"
  }
);
const { data: result } = await data.createData(
  "proj_LZWZ9vzECKjB",
  "w7rksMuyUrwaPgkl",
  {
    email: "angela1@northwind.dev",
    firstName: "Patti",
    lastName: "Huel",
    role: "circuit index",
    status: "transmitter bypass"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
projectIdstringYes
collectionIdstringYes

Request Body

json
{}
{}

Responses

201Data created
json
{
  "message": "Data created successfully",
  "data": {
    "_id": "685ae1210136e73fa1dcaf36",
    "email": "john.doe@mudbase.dev",
    "firstName": "John",
    "lastName": "Doe",
    "role": "developer",
    "createdAt": "2024-01-15T10:00:00.000Z",
    "updatedAt": "2024-01-15T10:00:00.000Z"
  }
}
{
  "message": "Data created successfully",
  "data": {
    "_id": "685ae1210136e73fa1dcaf36",
    "email": "john.doe@mudbase.dev",
    "firstName": "John",
    "lastName": "Doe",
    "role": "developer",
    "createdAt": "2024-01-15T10:00:00.000Z",
    "updatedAt": "2024-01-15T10:00:00.000Z"
  }
}
Edit this page on GitHub